Skip to main content
GET
/
fastedge
/
v1
/
admin
/
template
List app templates
curl --request GET \
  --url https://api.gcore.com/fastedge/v1/admin/template \
  --header 'Authorization: <api-key>'
{
  "templates": [
    {
      "id": 123,
      "name": "<string>",
      "api_type": "<string>",
      "owned": true,
      "client_id": 123,
      "reseller_id": 123,
      "groups": [
        123
      ],
      "short_descr": "<string>",
      "long_descr": "<string>"
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

client_id
integer<int64>

Filter templates by client ID. Shows templates owned by the specified client.

template_id
integer<int64>

ID of the template

api_type
enum<string>

API type:
wasi-http - WASI with HTTP entry point
proxy-wasm - Proxy-Wasm app, callable from CDN

Available options:
wasi-http,
proxy-wasm
name
string

Filter by template name (case-insensitive partial match)

group__incl
integer<int64>

Filter templates by group ID. Shows templates shared with the specified group.

group__excl
integer<int64>

Filter templates by group ID. Shows templates not shared with the specified group.

limit
integer

Maximum number of results to return (default 50)

offset
integer

Number of results to skip for pagination

Response

Returns paginated list of templates with admin visibility

templates
object[]
required
count
integer

Total number of apps